Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class InstKnobList

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.InstKnobList

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class InstKnobList
extends QTByteObject

Contains a list of knobs.

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`InstKnobList()` Makes an instance of this class with one knob only.
`InstKnobList(int knobFlags, InstKnob[] knobs)` Makes a KnobList from the supplied array of knobs.

Method Summary
`InstKnob` | `getKnob(int index)` Gets the knob at the specified index in the list.
`int` | `getKnobCount()` The number of knobs in the list
`int` | `getKnobFlags()` The knob flags to use if the requested knob is not in the list.
`void` | `setKnob(int index, InstKnob knob)` Sets the specified knob at the specified index in the list.
`void` | `setKnobFlags(int knobFlags)` The knob flags to use if the requested knob is not in the list.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstKnobList

    public InstKnobList()

  Makes an instance of this class with one knob only. The value of this knob and its number is set to one - this is the default knob list setting with the flag set to kInstKnobMissingDefault

### InstKnobList

    public InstKnobList(int knobFlags,
                        InstKnob[] knobs)

  Makes a KnobList from the supplied array of knobs.
  Parameters:
    `knobFlags` - the knobFlags
    `knobs` - the array of knobs

Method Detail

### getKnobCount

    public int getKnobCount()

  The number of knobs in the list
  Returns:

### getKnobFlags

    public int getKnobFlags()

  The knob flags to use if the requested knob is not in the list.
  Returns:

### setKnobFlags

    public void setKnobFlags(int knobFlags)

  The knob flags to use if the requested knob is not in the list.
  Parameters:
    `dataFormat` -

### setKnob

    public void setKnob(int index,
                        InstKnob knob)

  Sets the specified knob at the specified index in the list. The list is a zero based list.
  Parameters:
    `knobIndex` - the index of the knob to set
    `knob` - the knob to set

### getKnob

    public InstKnob getKnob(int index)

  Gets the knob at the specified index in the list. The list is a zero based list.
  Parameters:
    `knobIndex` - the index of the knob to set
  Returns:
    a knob

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD